testing::internal::TestFactoryImpl< TestClass > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::TestFactoryImpl< TestClass >:

## Public Member Functions

Test * | CreateTest () override
Public Member Functions inherited from testing::internal::TestFactoryBase
virtual | ~TestFactoryBase ()

## Additional Inherited Members

Protected Member Functions inherited from testing::internal::TestFactoryBase
| TestFactoryBase ()

## Detailed Description

### template<class TestClass>
class testing::internal::TestFactoryImpl< TestClass >

Definition at line 6907 of file gtest.h.

## Member Function Documentation

## CreateTest()

template<class TestClass >

Test* testing::internal::TestFactoryImpl< TestClass >::CreateTest | ( |  | ) |

inlineoverridevirtual

Implements testing::internal::TestFactoryBase.

Definition at line 6909 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h